POV-Ray : Newsgroups : povray.beta-test : Windows XP compatibility : Re: Windows XP compatibility Server Time
29 Jul 2021 19:57:07 EDT (-0400)
  Re: Windows XP compatibility  
From: HKarsten
Date: 18 Jul 2021 23:25:00
Message: <web.60f4efe2d5a68e3bcc54a410ad2d5cff@news.povray.org>
Hi clipka :)

As far as I understood, you wound use new features in PovRay, that can run under
Windows only. PovRay will run on Linux, BSD, MACOS and so forth.
This means,

1) you don't need to use a programming-environment that is limited to a hand of
operating-systems only. If you use an older programming-environment your
application is till running on newer systems.

2) another option is to compile a new PovRay statically under Cygwin. Statically
means, cygwin.dll has to be in the same folder, as PovRay's exe-file and it will
run under XP with no cygwin-environment installed.

Is it than impossible to implement new features to PovRay by taking the source
of PovRay 3.7 and the programming-environment that was compiling it for good and
just add these features?? What could it be for you, NEED to have a new
programming-environment for this?

Best rgds,
Holger


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.